# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/patchelf-0.13-on-linux_64, last modified Fri Sep 10 15:26:29 2021
# ------------------------------------------------

package:
  name: patchelf
  version: '0.13'
source:
  patches:
    - 0001-build-id.patch
    - 0002-remove-broken-test-r-path.patch
  sha256: 60c6aeadb673de9cc1838b630c81f61e31c501de324ef7f1e8094a2431197d09
  url: https://github.com/NixOS/patchelf/archive/0.13.tar.gz
build:
  binary_relocation: false
  number: '0'
  string: h295c915_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.69 pl526hebd4dad_5
    - automake 1.16.2 pl526_0
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - patch 2.7.6 h7b6447c_1001
    - perl 5.26.2 h14c3975_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
  run:
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
test:
  commands:
    - bash -c '[[ "$(patchelf --version)" =~ "patchelf 0.13".* ]]'
about:
  description: 'PatchELF is a small utility to modify the dynamic linker and RPATH
    of ELF

    executables.

    '
  dev_url: https://github.com/NixOS/patchelf
  doc_url: http://nixos.org/patchelf.html
  home: http://nixos.org/patchelf.html
  license: GPL-3.0-or-later
  license_file: COPYING
  summary: A small utility to modify the dynamic linker and RPATH of ELF executables.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - mjuric
